package ru.myitschool.work.ui.screen.meetings

import androidx.lifecycle.ViewModel
import kotlinx.coroutines.flow.MutableSharedFlow
import kotlinx.coroutines.flow.MutableStateFlow
import kotlinx.coroutines.flow.SharedFlow
import kotlinx.coroutines.flow.StateFlow
import kotlinx.coroutines.flow.asStateFlow

class MeetingsViewModel : ViewModel() {
    private val _uiState = MutableStateFlow<MeetingsState>(MeetingsState.Loading)
    val uiState: StateFlow<MeetingsState> = _uiState.asStateFlow()

    private val _actionFlow: MutableSharedFlow<MeetingsAction> = MutableSharedFlow()
    val actionFlow: SharedFlow<MeetingsAction> = _actionFlow


}